#/bin/bash

# Set up the quiz specific details

COURSE=`head --lines=1 ./course.csv | cut --delimiter=, --fields=1`

NUMBER=`head --lines=1 ./course.csv | cut --delimiter=, --fields=2`

TITLE=`head --lines=1 ./course.csv | cut --delimiter=, --fields=3`

function generate_quiz {
	# generate a quiz:
	
	echo "\\newcommand{\QuizBotTitle}{$TITLE}"
	echo "\\newcommand{\QuizBotNumber}{$NUMBER}"
	echo "\\newcommand{\QuizBotCourse}{$COURSE}"
	echo "\\newcommand{\QuizBotTutorial}{$TUTORIAL}"

	cat ./template-head.tex

	# find all the subdirectories containing questions
	QUESTIONS=`find . -mindepth 1 -type d -name 'question-*'`


	for question in $QUESTIONS; do
		# find all the tex files in each question
		variant=`find $question -type f -name '*.tex' | shuf -n 1`
		
		# list the variant of this question selected	
		echo -e "%% begin:  $variant"

		cat $variant

		echo -e "%% end:  $variant \n"
	done

	cat ./template-foot.tex
}

TUTORIALS=`tail --lines=+2 ./course.csv`

mkdir ./quizzes/

for TUTORIAL in $TUTORIALS; do
	quiz="$COURSE-Quiz-$NUMBER-$TUTORIAL"
	echo "generating : $quiz"
	generate_quiz > "./quizzes/$quiz.tex"
done

